gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Misc.IMContextSimple

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

An input method context supporting table-based input methods

Synopsis

- data IMContextSimple
- class IMContextClass o => IMContextSimpleClass o
- castToIMContextSimple :: GObjectClass obj => obj -> IMContextSimple
- toIMContextSimple :: IMContextSimpleClass o => o -> IMContextSimple
- imContextSimpleNew :: IO IMContextSimple
- imContextSimpleAddTable :: IMContextSimpleClass self => self -> Map String String -> Int -> Int -> IO ()

# Class Hierarchy

     | GObject
     | +----IMContext
     | +----IMContextSimple

# Types

data IMContextSimple

Instances

Eq IMContextSimple |
Ord IMContextSimple |
GObjectClass IMContextSimple |
IMContextSimpleClass IMContextSimple |
IMContextClass IMContextSimple |
ObjectClass IMContextSimple |

class IMContextClass o => IMContextSimpleClass o

Instances

IMContextSimpleClass IMContextSimple |

castToIMContextSimple :: GObjectClass obj => obj -> IMContextSimple

toIMContextSimple :: IMContextSimpleClass o => o -> IMContextSimple

# Constructors

imContextSimpleNew :: IO IMContextSimple

Creates a new `IMContextSimple`.

# Methods

imContextSimpleAddTable

Arguments

:: IMContextSimpleClass self |
=> self |
-> Map String String | `data` - the table
-> Int | `maxSeqLen` - Maximum length of a sequence in the table (cannot be greater than `MaxComposeLen`)
-> Int | `nSeqs` - number of sequences in the table
-> IO () |

Adds an additional table to search to the input context. Each row of the table consists of `maxSeqLen` key symbols followed by two `Int` interpreted as the high and low words of a gunicode value. Tables are searched starting from the last added.

The table must be sorted in dictionary order on the numeric value of the key symbol fields. (Values beyond the length of the sequence should be zero.)